:root {
    --bg_gra: linear-gradient(
      135deg,
      #FF057C 0%,
      #7C64D5 50%,
      #4CC3FF 100%
    );
  }
  
  * {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
  }
  html, body {
    width: 100%;
    height: 100%;
    font-family: "ryo-gothic-plusn", sans-serif;
    scroll-behavior: smooth;
  }
  body {
    margin: 0;
    padding: 0;
  }

  a{
    text-decoration: none;
  }

  .pc_only{
    display: block;
  } 
  .sp_only{ 
    display: none;
  }

  @media screen and (max-width: 768px) {
    .pc_only{
      display: none;
    }
    .sp_only{
      display: block;
    }
  }

  /* ヘッダー全体 */
  header {
    position: relative;
    width: 100%;
    height: 85dvh; /* PC時 */
  }
  @media screen and (max-width: 768px) {
    header {
      height: 100svh; /* スマホ時 */
    }
  }

  header::before {
    content: "";
    position: absolute;
    inset: 0; /* 全面 */
    backdrop-filter: grayscale(100%);
    -webkit-backdrop-filter: grayscale(100%);
    z-index: 4; /* スライド画像より前面 */
  }

  /* Swiper本体（上下2つ） */
  .swiper {
    /*position: absolute;*/
    width: 100%;
    overflow: hidden;
  }
  
  .swiper-wrapper {
transition-timing-function: linear;
}
  .top-swiper {
    top: 0;
    height: 50%;
  }
  .bottom-swiper {
    bottom: 0;
    height: 50%;
    /* ここにdir="rtl"を付けることで逆向きに流れる */
  }

  /* スライド要素 */
  .swiper-slide {
    width: auto;
    display: flex;
    align-items: center;
    justify-content: center;
  }
  .swiper-slide img {
    /* 画像が上下に切れないよう、高さをスライド領域100%に */
    height: 100%;
    width: auto;
    object-fit: contain; /* 縦横比を保ちつつフィット */
    display: block;
  }


  /*=== バーガーメニュー ===*/
  .burger-menu {
    position: absolute;
    top: 20px;
    right: 20px;
    width: 50px;
    height: 50px;
    border: none;
    outline: none;
    border-radius: 50%;
    cursor: pointer;
    z-index: 10;
    display: flex; /* flexを使う */
    flex-direction: column;     /* 縦積み */
    align-items: center;
    justify-content: center;

    /* 円形背景にグラデーション */
    background: var(--bg_gra);
    display: flex;
    align-items: center;
    justify-content: center;
  }
  .burger-menu span {
    display: block;
  width: 22px;
  height: 2px;
  background: #fff;
  margin: 2px 0;
  border-radius: 2px;
  }
  
  /*=== メニューを覆うグラデーションオーバーレイ ===*/
  .menu-overlay {
    position: fixed; /* 画面全体を覆う */
    top: 0; left: 0;
    width: 100%; height: 100%;
    background: var(--bg_gra);
    z-index: 999;  
    
    /* ▼ アニメーションさせるために display: none; は使わず
       ▼ opacity+pointer-eventsで制御 */
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;

    /* 初期状態：非表示 */
    opacity: 0;
    pointer-events: none;
    transform: scale(1.1); /* やや大きめ→等倍に */
    transition: opacity 0.5s ease, transform 0.5s ease;
  }
  /* オーバーレイが表示された状態 */
  .menu-overlay.active {
    opacity: 1;
    pointer-events: auto;
    transform: scale(1);
  }
  /*=== メニューコンテンツ ===*/
  .menu-content {
    color: #fff;
    font-size: 1.5rem;
    /* 好みでレイアウト調整 */
  }
  .menu-content ul {
    list-style: none;
    padding: 0;
  }
  .menu-content li {
    margin: 1rem 0;
    border: 1px solid #fff;
    padding: 10px 20px;
    border-radius: 7px;
  }
  .menu-content a {
    color: #fff;
    text-decoration: none;
    font-weight: bold;
  }

  /* 閉じるボタンなどを用意（任意） */
  .menu-close {
    background: transparent;
    border: none;
    color: #fff;
    font-size: 2rem;
    cursor: pointer;
    position: absolute;
    top: 20px; 
    right: 20px;
  }

  
  /*------------------------------------------
  ▼ 黒オーバーレイ (任意)
  ここで "filter: grayscale(100%)" はNG。
  単なる半透明黒に留める
-------------------------------------------*/
.header-overlay {
    position: absolute;
    top: 0; 
    left: 0;
    width: 100%; 
    height: 100%;
    background-color: rgba(0, 0, 0, 0.65);
    z-index: 10; /* header::before (z=4) より上 */
    pointer-events: none;
  }
  
  /*------------------------------------------
    ▼ 中央円だけカラー復元
  -------------------------------------------*/
  .color-circle {
    position: absolute; /* あるいは fixed */
    top: 50%; left: 50%;
    transform: translate(-50%, -50%);
    z-index: 11; /*  黒オーバーレイ (z=10) より上 */
  
    /* 円形のマスク */
    width: 300px; 
    height: 300px;
    mask-image: radial-gradient(circle at center, #000 40%, transparent 70%);
    -webkit-mask-image: radial-gradient(circle at center, #000 40%, transparent 70%);
  
    /*
      モノクロ(backdrop-filter: grayscale(100%))を無効化:
      ＝ 背面にかかっているグレースケールを 0% に戻す
    */
    backdrop-filter: grayscale(0%);
    -webkit-backdrop-filter: grayscale(0%);
    pointer-events: none;
  }

  /*=== キャッチコピーのテキスト ===*/
  .header-catch {
    font-family: "shippori-mincho", sans-serif;
    font-style: normal;
    position: absolute;
    top: 50%; left: 50%;
    transform: translate(-50%, -50%);
    z-index: 15; /* オーバーレイよりも上に来るように */
    color: #fff;
    text-align: center;
    padding: 0 20px; /* 文字が端にくっつかないよう余白 */
    white-space:nowrap;
  }
  .header-catch h1 {
    font-size: 130px;
    font-weight: 400;
    /* 必要であればスタイル調整 */
  }
  .header-catch p {
    font-size: 21px;
    /* 必要であればスタイル調整 */
  }

   .header-button{
    position: absolute;
    bottom: 50px;
    left: 50%;
    transform: translateX(-50%);
    z-index: 10;
    color: #fff;
    font-size: 14px;
    font-weight: 400;
    padding: 10px 50px 10px 50px;
    border-radius: 100vh;
    background-color: transparent;
    border: 1px solid #fff;
  }

  .header-button a{
    color: #fff;
    text-decoration: none;
  }

  .header-button svg{
    position: absolute;
    bottom: 12px;
    right: 10px;
    width: 24px;
    height: 24px;
  }

  .logo_height{
    position:absolute;
    top:20px;
    left:20px;
    z-index:20;
  }
  
  .logo_svg{
    height: 90vh;
    width: auto; 
    display: block;
  }
  /*------------------------------------------
    ▼ スマホ時（768px以下）は縦書き
    ・pが左、h1が中心寄りになるよう並べる
  -------------------------------------------*/
  @media screen and (max-width: 768px) {
    .header-catch {
      display: flex;
      align-items: flex-end;
      /* ▼ 縦書きにする */
      writing-mode: vertical-rl;
      text-orientation: upright;

      /* ▼ 左→右に並べるが、書字方向は縦なので
           p(先頭)が"左"（上）、h1(後)が"右"（下） */
      flex-direction: column;
      justify-content: center;
      gap: 1rem;
      top: 50%;
      left: calc(50% - 18px);
      transform: translate(-50%, -50%);
    }

    /* 縦書き時の文字サイズや行間を微調整するならここで */
    .header-catch h1 {
      margin: 0;  /* gapで調整 */
      font-size: 60px;
    }
    .header-catch p {
      margin: 0;  /* gapで調整 */
      font-size: 1.2rem;
    }
    
    .logo_svg{
        height: 75vh;
  }

  .header-button{
    width: 200px;
    text-align: center;
  }
  }

/* ▼ ローディング全体 */
.loading {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    background: #000;
    z-index: 9999;
    /* コンテンツを縦に並べる */
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }

  /* ▼ NGCロゴSVG（画像） */
.loading-logo {
    width: 250px;          /* 必要に応じてサイズ調整 */
    height: auto;

  }

.loading-logo img{
    width: 250px;  
}
  
  
  /* ▼ グラデーション変化する NGCテキスト */
  .loading-text {
    font-size: 48px;
    font-weight: bold;
    margin-bottom: 40px; /* プログレスバーとの間隔を広げる */
    background: linear-gradient(to top, gray 0%, gray 50%, var(--bg_gra) 100%);
    background-size: 100% 200%;
    background-position: 0% 100%;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    animation: gradientText 3s forwards;
  }
  
  @keyframes gradientText {
    0% {
      background-position: 0% 100%;
    }
    50% {
      background-position: 0% 50%;
    }
    100% {
      background-position: 0% 0%;
    }
  }
  
  /* ▼ プログレスバーの外枠 */
  .loading-progress {
    width: 250px;           /* 好みに合わせて調整 */
    height: 20px;
    background: #333;     /* 背景色(バー下地) */
    border-radius: 3px;
    overflow: hidden;
    margin-top: 30px;
  }
  
  /* ▼ プログレスバー本体（グラデーションを適用） */
  .progress-bar {
    width: 0%; /* 初期は 0% */
    height: 100%;
    background: var(--bg_gra); /* グラデーション */
    transition: width 0.3s ease; /* 幅が変化するときのアニメ */
  }
  
  /* ▼ ローディング終了時のフェードアウト */
  .loading.fade-out {
    animation: fadeOut 0.5s forwards;
  }
  
  @keyframes fadeOut {
    0% {
      opacity: 1;
    }
    100% {
      opacity: 0;
      visibility: hidden;
    }
  }
 
 /*------------------------------------------
  heading animation
  -------------------------------------------*/
  
  .heading_animation {
	overflow: hidden;
	position: relative;
}

.heading_animation.is-active {
	--skewX: 0deg;
	--cover-x: 101%;
	--x: 0;
}

.heading_animation::before,
.heading_animation::after {
	content: '';
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	border-radius: 0vh;
	transform: translateX(var(--cover-x, -101%));
	transition: transform 0.6s cubic-bezier(0.39, 0.575, 0.565, 1);
}

.heading_animation::before {
	background-color: #fff;
}

.heading_animation::after {
	background: var(--bg_gra);
	transition-delay: 0.16s;
}

.heading_word {
	transform: translateX(var(--x, -110%)) skewX(var(--skewX, 8deg));
	transition: transform 0.48s cubic-bezier(0.16, 1, 0.3, 1);
	transition-delay: 0.3s;
}



 /*------------------------------------------
  about section
  -------------------------------------------*/
.about_section {
  width: 100%;
  height: auto;
  padding: 60px 15px;
  position: relative;
  background-image: url(img/about_bg.jpg);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}

/* グラデーションオーバーレイ */
.about_section::before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: var(--bg_gra); /* Rootで設定したグラデーション */
  opacity: 0.7; /* 透明度を調整（0.0 〜 1.0） */
}

/* コンテンツを配置する場合は、以下のように相対位置で配置 */
.about_section > * {
  position: relative;
  z-index: 1; /* グラデーションより上に表示 */
  max-width: 900px;
  margin: 0 auto;
}

.about_section_title{
    color: #fff;
    margin: 0 auto 20px;
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.about_section_title h2{
    font-size: 80px;
    line-height: 1;
    display: inline-flex;
}

.about_section_title h3{
    font-size: 36px;
    line-height: 1.5;
    margin-top: 15px;
    display: inline-flex;
}

.section_text{
    font-size: 18px;
    font-weight: 500;
    line-height: 1;
    margin-top: 15px;
    display: inline-flex;
}

.about_section_content{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 20px;
}

.about_section_content_left{
    font-size: 21px;
    line-height: 1.5;
    font-weight: 500;
    color: #fff; 
}

.about_section_content_left_button{
    margin-top: 20px;
    background-color: #fff;
    color: #000;
    padding: 10px 20px;
    border-radius: 100vh;
    text-decoration: none;
    font-weight: 600;
    font-size: 14px;
    text-align: center;
    width: 99%;
}

.about_section_content_left_button a{
    color: #000;
    text-decoration: none;
}

.about_section_content_left span{
    font-size: 16px;
    font-weight: 400;
    display: block;
    margin-top: 15px;
}

.about_section_content_right{
    padding-top: 13px;
}

.about_section_content_right img{
    /*width: 100%;
    height: 100%;*/
    object-fit: contain;
    height: 215px;
}



@media screen and (max-width: 768px) {
    .about_section_title{
        color: #fff;
        margin: 0 auto 46px;
        text-align: center;
    }
    
    .about_section_title h2{
        font-size: 46px;
        line-height: 1;
        margin-top: 20px;
    }
    
    .about_section_title h3{
        font-size: 24px;
        line-height: 1.5;
        margin-top: 15px;
    }
    
    .about_section_title p{
        font-size: 16px;
    }
    
    .about_section_content{
        display: flex;
        justify-content: center;
        align-items: center;
        gap: 5px;
        margin-bottom: 20px;
    }
    
    .about_section_content_left{
        font-size: 13px;
        line-height: 1.5;
        font-weight: 600;
        color: #fff; 
    }
    
    .about_section_content_left_button{
        margin-top: 20px;
        background-color: #fff;
        color: #000;
        padding: 10px 20px;
        border-radius: 100vh;
        text-decoration: none;
        font-weight: 600;
        font-size: 12px;
        text-align: center;
        width: 99%;
    }
    
    .about_section_content_left_button a{
        color: #000;
        text-decoration: none;
    }
    
    .about_section_content_left span{
        font-size: 11px;
        font-weight: 400;
        display: block;
        margin-top: 15px;
    }

    .about_section_content_right{
        padding-top: 0px;
    }
    
    .about_section_content_right img{
        /*width: 100%;
        height: 100%;*/
        object-fit: contain;
        height: auto;
    }
    
  }



 /*------------------------------------------
  message section
  -------------------------------------------*/
.message_section{
    width: 100%;
    height: auto;
    padding: 60px 0px;
    position: relative;
    margin: 0 auto;
    overflow: hidden;
}

.message_section_title{
    color: #000;
    margin: 0 auto 20px;
    font-weight: bold;
    line-height: 1.5;
    max-width: 900px;
}

.message_section_title h2{
    display: inline-flex;
    font-size: 36px;
}

.message_section_content{
    color: #000;
    max-width: 900px;
    margin: 0 auto;
}

.message_section_content span{
    font-weight: 500;
}

.background-text {
    position: absolute;
    top: 0;
    right: 0px;
    width: 50px; /* テキストの幅 */
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    writing-mode: vertical-rl; /* 縦書き */
    color: rgba(128, 128, 128, 0.2); /* 薄いグレー */
    font-size: 36px;
    white-space: nowrap;
    font-weight: bold;
    animation: verticalLoop 10s linear infinite;
}

.text-loop {
    transform: translateY(100%);
    animation: scrollText 10s linear infinite;
}

.cross-icon {
    vertical-align: middle;
    margin: 5px 24px 5px 5px;
    stroke: rgba(128, 128, 128, 0.2);
    width: 32px;
    height: 32px;
}

@keyframes scrollText {
    0% {
        transform: translateY(100%);
    }
    100% {
        transform: translateY(-100%);
    }
}


@media screen and (max-width: 768px) {
    .message_section{
        padding: 20px 15px;
    }

    .message_section_title h2{
        font-size: 20px;
        line-height: 1.5;
    }

    .message_section_content{
        font-size: 11px;
    }
}


 /*------------------------------------------
  cast section
  -------------------------------------------*/
.cast_section {
    width: 100%;
    height: auto;
    padding: 60px 0px;
    background-color: #242424;
    overflow: hidden;
}

.cast_section_title {
    color: #fff;
    margin: 0 auto 20px;
    font-weight: bold;
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.cast_section_title h2 {
    font-size: 80px;
    line-height: 1;
    display: inline-flex;
}

.cast_section_title p {
    font-size: 18px;
}


.cast_slide_wrapper {
    position: relative;
    max-width: 900px;
    margin: 0 auto;
}

/* Swiperの基本設定 */
.cast-swiper {
    width: 100%;
    max-width: 900px;
    position: relative;
    margin-bottom: 60px;
    overflow: visible;
    padding: 30px 0 0 0;
}

.cast-swiper .swiper-slide {
    max-width: 250px;
    margin-right: 20px;
    cursor: pointer;
    opacity: 0;
    transform: translateY(30px);
    transition: opacity 0.6s ease, transform 0.6s ease;
}

.cast-swiper .swiper-slide.is-animated {
    opacity: 1;
    transform: translateY(0);
}

/* スライド画像設定 */
.cast_slide_img {
    position: relative;
    width: 100%;
    max-width: 250px;
}

.cast_slide_img img {
    width: 100%;
    height: auto;
    display: block;
}

.cast_slide_img::after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 40px; /* グラデーションの高さ */
    background: linear-gradient(to top, rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0));
    pointer-events: none;
}

/* キャスト情報 */
.cast_slide_position {
    position: absolute;
    bottom: 27px;
    left: -10px;
    background: var(--bg_gra);
    color: #fff;
    font-size: 14px;
    font-weight: bold;
    text-align: left;
    padding: 4px 6px;
    line-height: 1;
    z-index: 1;
}

.cast_slide_name {
    position: absolute;
    bottom: -28px;
    left: -15px;
    color: #fff;
    font-size: 45px;
    font-weight: bold;
    padding: 4px 6px;
    line-height: 1;
    z-index: 1;
}

.spname{
    bottom: -72px;
}

/* ナビゲーションボタン */
.cast-swiper .swiper-button-next,
.cast-swiper .swiper-button-prev {
    color: #fff;
    top: auto;
    bottom: -65px;
    width: 30px;
    height: 30px;
    z-index: 10;
}

.cast-swiper .swiper-button-prev {
    left: 0px;
}

.cast-swiper .swiper-button-next {
    left: 40px;
}

.cast-swiper .swiper-button-next:after,
.cast-swiper .swiper-button-prev:after {
    font-size: 16px;
    font-weight: bold;
}

/* スマホ対応 */
@media screen and (max-width: 768px) {
    .cast-swiper {
        padding: 20px;
    }

    .cast_section_title h2 {
        font-size: 46px;
    }

    .spname{
        bottom: -48px !important;
    }
    
    .cast-swiper .swiper-slide,
    .cast_slide_img {
        max-width: 155px;
    }

    /* ナビゲーションボタン */
    .cast-swiper .swiper-button-next,
    .cast-swiper .swiper-button-prev {
        bottom: -50px;
    }

    .cast-swiper .swiper-button-prev {
        left: 10px;
    }

    .cast-swiper .swiper-button-next {
        left: 55px;
    }

    .cast_slide_position {
        font-size: 10px;
        bottom: 18px;
        max-width: 160px;
        line-height: 1.3;
    }

    .cast_slide_name {
        font-size: 27px;
        bottom: -20px;
    }
}


/* モーダル関連のスタイル */
.cast_modal {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1000;
    visibility: hidden;
}

.cast_modal.is-open {
    visibility: visible;
}

.cast_modal_overlay {
    position: absolute;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.8);
    opacity: 0;
    transition: opacity 0.6s ease;
}

.cast_modal.is-open .cast_modal_overlay {
    opacity: 1;
}

.cast_modal_content {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 95%;
    background: var(--bg_gra);
    padding: 80px 40px 40px;
    overflow-y: auto;
    transform: translateY(100%);
    transition: transform 0.6s cubic-bezier(0.16, 1, 0.3, 1);
    will-change: transform;
    border-radius: 20px 20px 0 0;
}

.cast_modal.is-open .cast_modal_content {
    transform: translateY(0);
}

.cast_modal_close {
    position: fixed;
    top: 10px;
    right: 10px;
    border: none;
    color: #000000;
    font-size: 30px;
    cursor: pointer;
    z-index: 1001;
    background: #ffffff;
    border-radius: 100vh;
    width: 40px;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.cast_modal_body {
    max-width: 1000px;
    margin: 0 auto;
    display: flex;
    gap: 30px;
}

/* 写真エリア */
.cast_modal_image {
    position: relative;
    width: 50%;
    max-width: 500px;
    margin: 0 auto;
}

.cast_modal_image::before {
    content: "";
    display: block;
    padding-top: 100%; /* アスペクト比を1:1に */
}

.cast_modal_image::after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 40px;
    background: linear-gradient(to top, rgba(0, 0, 0, 0.4), rgba(0, 0, 0, 0));
    pointer-events: none;
}

.cast_modal_image img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* 名前と肩書き */
.cast_modal_position {
    position: absolute;
    bottom: 45px;
    left: -10px;
    background: var(--bg_gra);
    color: #fff;
    font-size: 16px;
    font-weight: bold;
    text-align: center;
    padding: 4px 6px;
    line-height: 1;
    opacity: 0;
    transform: translateY(20px);
    transition: all 0.6s 0.4s;
}

.cast_modal_name {
    position: absolute;
    bottom: -40px;
    left: -15px;
    color: #fff;
    font-size: 60px;
    font-weight: bold;
    padding: 4px 6px;
    line-height: 1;
    opacity: 0;
    transform: translateY(20px);
    transition: all 0.6s 0.3s;
    z-index: 10;
}



.cast_modal_heading {
    position: relative;
    color: #fff;
    font-size: 18px;
    font-weight: bold;
    margin: 0px 0 0px;
    display: flex;
    align-items: center;
    opacity: 0;
    transform: translateY(20px);
    transition: all 0.6s 0.5s;
}

.cast_modal_info{
    width: 50%;
}

.cast_modal_heading::after {
    content: '';
    height: 1px;
    background: #fff;
    flex-grow: 1;
    margin-left: 20px;
}


/* 説明文エリア */
.cast_modal_description {
    margin-top: 0px; /* 名前との間隔 */
    line-height: 1.8;
    color: #fff;
    opacity: 0;
    transform: translateY(20px);
    transition: all 0.6s 0.5s;
}

a .cast_modal_button{
    text-decoration: none;
}

.cast_modal_button{
    display: block;
    width: 100%;
    padding: 10px 20px;
    background: #fff;
    color: #000;
    text-align: center;
    border-radius: 100vh;
    margin-top: 20px;
    opacity: 0;
    transform: translateY(20px);
    transition: all 0.6s 0.5s;
}
/* モーダルが開いた時のアニメーション */
.cast_modal.is-open .cast_modal_name,
.cast_modal.is-open .cast_modal_position,
.cast_modal.is-open .cast_modal_heading,
.cast_modal.is-open .cast_modal_description,
.cast_modal.is-open .cast_modal_button {
    opacity: 1;
    transform: translateY(0);
}

/* スマホ対応 */
@media screen and (max-width: 768px) {
    .cast_modal_content {
        padding: 60px 20px 40px;
    }

    .cast_modal_body{
        flex-direction: column;
    }

    .cast_modal_image {
        /*max-width: 300px;*/
        width: 100%;
    }

    .cast_modal_info{
        width: 100%;
    }

    .cast_modal_name {
        font-size: 40px;
        bottom: -25px;
    }

    .cast_modal_position {
        font-size: 14px;
        bottom: 35px;
    }

    .cast_modal_description {
        margin-top: 0px;
        font-size: 14px;
    }
}


/* キャスト　アコーディオン */

.cast_accordion_wrap{
    width: 100%;
    padding: 0px 20px;
}

.cast_section_accordion {
    width: 100%;
    border: 1px solid #ddd;
    border-radius: 5px;
    overflow: hidden;
    max-width: 500px;
    margin: 0 auto;
}

.cast_section_accordion_content {
    cursor: pointer;
    padding: 15px;
    position: relative; /* アイコンを絶対位置で配置するために必要 */
}

.cast_section_accordion_content_title {
    font-weight: 500;
    font-size: 16px;
    color: #fff;
    padding-right: 20px; /* アイコンのスペースを確保 */
}

.accordion-icon {
    position: absolute;
    right: 15px;
    top: 32px;
    transform: translateY(-50%);
    transition: transform 0.3s;
    font-size: 16px;
    color: #fff;
}

.cast_section_accordion_content.active .accordion-icon {
    transform: translateY(-8px) rotate(180deg);  /* 開いた状態でアイコンを下向きに */
}

.cast_section_accordion_content_text {
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.3s ease-out;
    color: #fff;
}

.cast_section_accordion_content.active .cast_section_accordion_content_text {
    max-height: 500px; /* 必要に応じて調整 */
    padding: 15px 0 0 0;
    margin-top: 15px;
    border-top: 1px solid #fff;
}

.cast_section_accordion_content_text li {
    position: relative;
    padding-left: 30px; /* 数字のスペースを確保 */
    margin-bottom: 10px; /* 各リスト項目の間隔を調整 */
}

.cast_section_accordion_content_text li::before {
    content: counter(item) ". "; /* カウンターを表示 */
    counter-increment: item; /* カウンターをインクリメント */
    position: absolute;
    left: 0;
    top: 0;
    color: #ffffff; /* 数字の色 */
    font-weight: bold; /* 数字の太さ */
}
/* カウンターの初期化 */
.cast_section_accordion_content_text ul {
    counter-reset: item;
}

@media screen and (max-width: 768px) {
    .cast_section_accordion_content,
    .cast_section_accordion_content_title{
        font-size: 14px;
    }
}

 /*------------------------------------------
  guest section
  -------------------------------------------*/

/* ゲストセクションのスタイル */
.guest_section {
    width: 100%;
    height: auto;
    padding: 60px 0px;
    overflow: hidden;
    background: var(--bg_gra);
    background-size: 200% 200%;
    animation: moveGradient 10s infinite linear;
}

@keyframes moveGradient {
    0% {
        background-position: 0% 50%;
    }
    50% {
        background-position: 100% 50%;
    }
    100% {
        background-position: 0% 50%;
    }
}

.guest_section_title {
    color: #fff;
    margin: 0 auto 20px;
    font-weight: bold;
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.guest_section_title h2 {
    font-size: 80px;
    line-height: 1.3;
    display: inline-flex;
}

.guest_section_title p {
    font-size: 18px;
}

.guest-swiper {
    width: 100%;
    max-width: 900px;
    position: relative;
    margin-bottom: 60px;
    overflow: visible;
    padding: 30px 0 0 0;
}

/* スライド画像設定 */
.guest_slide_img {
    position: relative;
    width: 250px;
    height: 314px;
    border: 2px solid #fff;
}

.guest_slide_img img {
    width: 150px;
    height: auto;
    display: block;
    position: absolute;
    top: 50%;
    right: -75px;
    transform: translateY(-50%);
}

.guest_slide_position {
    position: absolute;
    top: 75px;
    left: 30px;
    color: #fff;
    font-size: 14px;
    font-weight: 500;
    text-align: center;
    padding: 7px 10px 5px 10px;
    line-height: 1;
    z-index: 1;
    border: 1px solid #fff;
    border-radius: 100vh;
}

.guest_slide_name {
    position: absolute;
    top: 110px;
    left: 30px;
    color: #fff;
    font-size: 42px;
    font-weight: bold;
    line-height: 1;
    z-index: 1;
    white-space: nowrap;
}

.guest_slide_profile{
    position: absolute;
    top: 170px;
    left: 30px;
    color: #fff;
    font-size: 14px;
    line-height: 1.5;
    white-space: nowrap;
    font-weight: 500;
}

.guest-swiper .swiper-button-next,
.guest-swiper .swiper-button-prev {
    color: #fff;
    top: auto;
    bottom: -65px;
    width: 30px;
    height: 30px;
    z-index: 10;
    
}

.guest-swiper .swiper-button-prev {
    left: 0px;
}

.guest-swiper .swiper-button-next {
    left: 40px;
}

.guest-swiper .swiper-button-next:after,
.guest-swiper .swiper-button-prev:after {
    font-size: 16px;
    font-weight: bold;
}


/* ゲストスライドのアニメーション用スタイル */
.guest-swiper .swiper-slide {
    opacity: 0;
    transform: translateY(30px);
    transition: opacity 0.6s ease, transform 0.6s ease;
}

.guest-swiper .swiper-slide.is-animated {
    opacity: 1;
    transform: translateY(0);
}

/* スマホ対応 */
@media screen and (max-width: 768px) {

    .guest_section_title {
        margin-bottom: 30px;
    }

    .guest-swiper {
        padding: 20px;
    }

    .guest_section_title h2 {
        font-size: 46px;
    }
    
    .guest-swiper .swiper-slide,
    .guest_slide_img {
        width: 190px;
        height: 244px;
    }

    /* ナビゲーションボタン */
    .guest-swiper .swiper-button-next,
    .guest-swiper .swiper-button-prev {
        bottom: -50px;
    }

    .guest-swiper .swiper-button-prev {
        left: 10px;
    }

    .guest-swiper .swiper-button-next {
        left: 55px;
    }

    .guest_slide_img img {
        width: 120px;
        right: -60px;
    }

    .guest_slide_position {
        top: 60px;
        font-size: 12px;
        padding: 5px 10px;
    }
    
    .guest_slide_name {
        position: absolute;
        top: 95px;
        left: 30px;
        font-size: 26px;
    }
    
    .guest_slide_profile{
        position: absolute;
        top: 130px;
        left: 30px;
        color: #fff;
        font-size: 12px;
        line-height: 1.5;
        white-space: nowrap;
    }

    
}



 /*------------------------------------------
  contact section
  -------------------------------------------*/

  .contact_section{
    width: 100%;
    height: auto;   
    padding: 60px 15px;
    background-color: #EFF3F8;
    }

    .contact_section_title {
        color: #242424;
        margin: 0 auto 20px;
        font-weight: bold;
        text-align: center;
        display: flex;
        flex-direction: column;
        align-items: center;
        max-width: 900px;
        margin: 0 auto;
    }
    
    .contact_section_title h2 {
        font-size: 80px;
        line-height: 1;
        display: inline-flex;
    }


    .contact_section_content{
        color: #000;
        max-width: 900px;
        margin: 0 auto;
        text-align: center;
        margin-top: 40px;
    }

    .contact_section_content a{
        max-width: 300px;
        display: block;
        margin: 0 auto;
    }
    
    .contact_section_button{
        color: #fff;
        background-color: #242424;
        padding: 10px 20px;
        border-radius: 100vh;
        max-width: 300px;
        margin: 10px auto 0;
    }


    @media screen and (max-width: 768px) {
        .contact_section_title h2 {
            font-size: 46px;
        }

        .contact_section_content{
            font-size: 12px;
        }
    }




 /*------------------------------------------
  staff section
  -------------------------------------------*/

    .staff_section{
        width: 100%;
        height: auto;
        padding: 60px 15px;
        background-color: #EFF3F8;
    }   

    .staff_section_title{
        color: #242424;
        margin: 0 auto 20px;
        font-weight: bold;
        text-align: center;
        display: flex;
        flex-direction: column;
        align-items: center;
        max-width: 900px;
        margin: 0 auto;
    }

    .staff_section_title h2{
        font-size: 80px;
        line-height: 1;
        display: inline-flex;
    }

    .staff_section_content{
        color: #000;
        max-width: 900px;
        margin: 0 auto;
        text-align: center;
        margin-top: 40px;
    } 

    .staff_section_content img{
        width: 100%;
        height: auto;
    }
    
    
    .filter-buttons {
        margin-bottom: 20px;
        text-align: center;
    }
    
    .filter-btn {
        padding: 10px 20px;
        margin: 0 5px;
        color: #222222;
        background: transparent;
        border: 1px solid #242424;
        border-radius: 100vh;
        cursor: pointer;
        transition: background-color 0.3s;
    }

    .filter-btn.active {
        background-color: #242424; /* 選択されたボタンの背景色 */
        color: #fff; /* 選択されたボタンの文字色 */
    }
    
    
    .staff-list {
        display: flex;
        flex-wrap: wrap;
        gap: 20px;
        justify-content: center;
    }
    
    .staff-item {
        background-color: #fff;
        padding: 20px;
        border-radius: 11px;
        box-shadow: 0 0px 6px rgba(0, 0, 0, 0.1);
        transition: transform 0.3s, opacity 0.3s;
        opacity: 1;
        transform: translateY(0);
        width: calc(50% - 20px); /* 2列表示のための幅調整 */
    }
    
    .staff-top {
        display: flex;
        align-items: center;
        margin-bottom: 10px;
    }

    .staff-photo-wrap{
        position: relative;
        margin-right: 20px;
    }   
    
    .staff-photo {
        flex-shrink: 0;
        width: 100px;
        height: 100px;
        overflow: hidden;
        border-radius: 50%;
        position: relative;
    }

    .staff-position{
        font-size: 11px;
        color: #222222;
        line-height: 1;
        border: 1px solid #242424;
        border-radius: 100vh;
        padding: 5px 8px;
        background: #fff;
        display: inline-block;
        position: absolute;
        bottom: -5px;
        left: 50%;
        transform: translateX(-50%);
        white-space: nowrap;
        z-index: 1;
    }
    
    .staff-photo img {
        width: 100%;
        height: 100%;
        object-fit: cover;
    }
    
    .staff-details {
        flex-grow: 1;
        text-align: left;
    }

    
    
    .staff-details h3 {
        margin: 0;
        font-size: 18px;
        font-weight: bold;
    }
    
    .staff-details p {
        margin: 5px 0;
        font-size: 14px;
        color: #555;
        line-height: 1;
    }

    
    
    .staff-profile {
        margin-top: 10px;
        font-size: 14px;
        color: #222222;
        text-align: left;
    }
    
    .staff-item.hidden {
        opacity: 0;
        transform: translateY(20px);
        pointer-events: none; /* 非表示時にクリックを無効化 */
    }
    
    .staff-item:hover {
        transform: translateY(-5px);
    }
    
    /* スマホ対応: 画面幅が768px以下の場合 */
    @media screen and (max-width: 768px) {

        .staff_section_title h2 {
            font-size: 46px;
        }

        .staff_section_title h2{
            font-size: 46px;
        }

        .filter-btn {
            padding: 6px 10px;
            margin: 0px;
            font-size: 12px;
        }

        .staff-item {
            width: 100%; /* スマホでは1列表示 */
        }
    
        .staff-top {
            
        }
    
        .staff-photo {
            margin-right: 0;
            margin-bottom: 10px;
            width: 80px;
            height: 80px;
        }

        .staff-details p {
            font-size: 12px;
        }
    }

    /* モーダル関連のスタイル */
.guest_modal {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1000;
    visibility: hidden;
}

.guest_modal.is-open {
    visibility: visible;
}

.guest_modal_overlay {
    position: absolute;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.8);
    opacity: 0;
    transition: opacity 0.6s ease;
}

.guest_modal.is-open .guest_modal_overlay {
    opacity: 1;
}

.guest_modal_content {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 95%;
    background: #222222;
    /*background: var(--bg_gra);*/
    padding: 80px 40px 40px;
    overflow-y: auto;
    transform: translateY(100%);
    transition: transform 0.6s cubic-bezier(0.16, 1, 0.3, 1);
    will-change: transform;
    border-radius: 20px 20px 0 0;
}

.guest_modal.is-open .guest_modal_content {
    transform: translateY(0);
}

.guest_modal_close {
    position: fixed;
    top: 10px;
    right: 10px;
    border: none;
    color: #000000;
    font-size: 30px;
    cursor: pointer;
    z-index: 1001;
    background: #ffffff;
    border-radius: 100vh;
    width: 40px;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.guest_modal_body {
    max-width: 1000px;
    margin: 0 auto;
    display: flex;
    gap: 30px;
}

/* 写真エリア */
.guest_modal_image {
    position: relative;
    width: 50%;
    max-width: 500px;
    margin: 0 auto;
}

.guest_modal_image::before {
    content: "";
    display: block;
    padding-top: 100%; /* アスペクト比を1:1に */
}

.guest_modal_image img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* 名前と肩書き */
.guest_modal_position {
    position: absolute;
    bottom: 45px;
    left: -10px;
    background: var(--bg_gra);
    color: #fff;
    font-size: 16px;
    font-weight: bold;
    text-align: center;
    padding: 4px 6px;
    line-height: 1;
    opacity: 0;
    transform: translateY(20px);
    transition: all 0.6s 0.4s;
}

.guest_modal_name {
    position: absolute;
    bottom: -40px;
    left: -15px;
    color: #fff;
    font-size: 60px;
    font-weight: bold;
    padding: 4px 6px;
    line-height: 1;
    opacity: 0;
    transform: translateY(20px);
    transition: all 0.6s 0.3s;
}

.guest_modal_heading {
    position: relative;
    color: #fff;
    font-size: 18px;
    font-weight: bold;
    margin: 0px 0 0px;
    display: flex;
    align-items: center;
    opacity: 0;
    transform: translateY(20px);
    transition: all 0.6s 0.5s;
}

.guest_modal_info {
    width: 50%;
}

.guest_modal_heading::after {
    content: '';
    height: 1px;
    background: #fff;
    flex-grow: 1;
    margin-left: 20px;
}

/* 説明文エリア */
.guest_modal_description {
    margin-top: 0px; /* 名前との間隔 */
    line-height: 1.8;
    color: #fff;
    opacity: 0;
    transform: translateY(20px);
    transition: all 0.6s 0.5s;
}

a .guest_modal_button {
    text-decoration: none;
}

.guest_modal_button {
    display: block;
    width: 100%;
    padding: 10px 20px;
    background: #fff;
    color: #000;
    text-align: center;
    border-radius: 100vh;
    margin-top: 20px;
    opacity: 0;
    transform: translateY(20px);
    transition: all 0.6s 0.5s;
}

/* モーダルが開いた時のアニメーション */
.guest_modal.is-open .guest_modal_name,
.guest_modal.is-open .guest_modal_position,
.guest_modal.is-open .guest_modal_heading,
.guest_modal.is-open .guest_modal_description,
.guest_modal.is-open .guest_modal_button {
    opacity: 1;
    transform: translateY(0);
}

/* スマホ対応 */
@media screen and (max-width: 768px) {
    .guest_modal_content {
        padding: 60px 20px 40px;
    }

    .guest_modal_body {
        flex-direction: column;
    }

    .guest_modal_image {
        /*max-width: 300px;*/
        width: 100%;
    }

    .guest_modal_info {
        width: 100%;
    }

    .guest_modal_name {
        font-size: 40px;
        bottom: -25px;
    }

    .guest_modal_position {
        font-size: 14px;
        bottom: 35px;
    }

    .guest_modal_description {
        margin-top: 0px;
    }
}

  /*------------------------------------------
  footer section
  -------------------------------------------*/
   

    /* フッター */
    .footer {
        background-color: #000;
        color: #fff;
        padding: 20px 15px;
        text-align: center;
    }
    
    .footer-content {
        max-width: 1200px;
        margin: 0 auto;
        display: flex;
        flex-direction: column;
        align-items: center;
    }
    
    .footer-logo img {
        width: 100%;
        max-width: 400px;
        margin-bottom: 20px;
    }
    
    .footer-menu ul {
        list-style: none;
        padding: 0;
        margin: 0;
        display: flex;
        gap: 20px;
    }
    
    .footer-menu a {
        color: #fff;
        text-decoration: none;
        transition: color 0.3s;
    }
    
    .footer-menu a:hover {
        color: #bce9ec; /* ホバー時の色変更 */
    }
    
    .footer-copyright {
        margin-top: 20px;
        font-size: 14px;
        color: #aaa;
    }
    
    /* スマホ対応 */
    @media screen and (max-width: 768px) {
        .footer-content {
            flex-direction: column;
        }
    
        .footer-menu ul {
            flex-direction: column;
            gap: 10px;
        }
    }

